clang 8.0.0

Public Member Functions | List of all members
clang::ColorScope Class Reference

`#include "clang/AST/ASTDumperUtils.h"`

## Public Member Functions
| ColorScope (llvm::raw_ostream &OS, bool ShowColors, TerminalColor Color)
| ~ColorScope ()

## Detailed Description

Definition at line 79 of file ASTDumperUtils.h.

## Constructor & Destructor Documentation

## ◆ ColorScope()

clang::ColorScope::ColorScope | ( | llvm::raw_ostream & | OS,
|  | bool | ShowColors,
|  | TerminalColor | Color
| ) |  |
| inline

Definition at line 84 of file ASTDumperUtils.h.

References clang::TerminalColor::Bold, and clang::TerminalColor::Color.

## ◆ ~ColorScope()

clang::ColorScope::~ColorScope | ( |  | ) |
| inline

Definition at line 89 of file ASTDumperUtils.h.

The documentation for this class was generated from the following file:

- include/clang/AST/ASTDumperUtils.h